
%define qtmajor 5
%define qtminor 6
%define qtsubminor 1

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtscripttools %mklibname qt5scripttools %qtmajor
%define libqtscripttools_d %mklibname qt5scripttools  -d

%define libqtscript %mklibname qt5script %qtmajor
%define libqtscript_d %mklibname qt5script -d

%define qttarballdir qtscript-opensource-src-%{qtversion}

Name: qtscript5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: qt5core-private-devel
BuildRequires: qt5widgets-private-devel

#Branch Patchs

#Trunk Patchs

#Patch from Others


%description
The QtScript module provides classes for making Qt applications
scriptable.

#------------------------------------------------------------------------------

%package -n %{libqtscripttools}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: qtscripttoolslib = %{version}

%description -n %{libqtscripttools}
Qt%{qtmajor} Component Library.

The QtScriptTools module provides additional components for applications
that use Qt Script.

%files -n %{libqtscripttools}
%{_qt5_libdir}/libQt5ScriptTools.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtscripttools_d}
Summary: Devel files needed to build apps based on QtScriptTools
Group:    Development/Libraries
Requires: %{libqtscripttools} = %version
Requires: qtbase5-common-devel = %version
Provides: libqtscripttools5-devel = %version
Provides: libqt5scripttools-devel = %version
Provides: qtscripttools5-devel = %version
Provides: qt5scripttools-devel = %version

Provides: libqtscripttools5-private-devel = %version
Provides: libqt5scripttools-private-devel = %version
Provides: qtscripttools5-private-devel = %version
Provides: qt5scripttools-private-devel = %version

%description -n %{libqtscripttools_d}
Devel files needed to build apps based on QtScriptTools.

%files -n %{libqtscripttools_d}
%{_qt5_libdir}/libQt5ScriptTools.prl
%{_qt5_libdir}/libQt5ScriptTools.so
%{_qt5_libdir}/pkgconfig/Qt5ScriptTools.pc
%{_qt5_includedir}/QtScriptTools
%{_qt5_libdir}/cmake/Qt5ScriptTools
%{_qt5_datadir}/mkspecs/modules/qt_lib_scripttools.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_scripttools_private.pri

#------------------------------------------------------------------------------

%package -n %{libqtscript}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: libqtscript = %{version}
Obsoletes: %{_lib}qtscript5
Provides:  %{_lib}qtscript5 = %{version}


%description -n %{libqtscript}
Qt%{qtmajor} Component Library.

The QtScript module provides classes for making Qt applications 
scriptable.

%files -n %{libqtscript}
%{_qt5_libdir}/libQt5Script.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtscript_d}
Summary: Devel files needed to build apps based on QtScript
Group:    Development/Libraries
Requires: %{libqtscript} = %version
Requires: qtbase5-common-devel = %version
Provides: libqtscript5-devel = %version
Provides: libqtscript5-devel = %version
Provides: qtscript5-devel = %version
Provides: qt5script-devel = %version

Provides: libqtscript5-private-devel = %version
Provides: libqt5script-private-devel = %version
Provides: qtscript5-private-devel = %version
Provides: qt5script-private-devel = %version

Obsoletes: %{_lib}qtscript-devel
Provides:  %{_lib}qtscript-devel = %version

%description -n %{libqtscript_d}
Devel files needed to build apps based on QtScript.

%files -n %{libqtscript_d}
%{_qt5_libdir}/libQt5Script.prl
%{_qt5_libdir}/libQt5Script.so
%{_qt5_libdir}/pkgconfig/Qt5Script.pc
%dir %{_qt5_includedir}/QtScript
%{_qt5_includedir}/QtScript/QScriptClass
%{_qt5_includedir}/QtScript/QScriptClassPropertyIterator
%{_qt5_includedir}/QtScript/QScriptContext
%{_qt5_includedir}/QtScript/QScriptContextInfo
%{_qt5_includedir}/QtScript/QScriptContextInfoList
%{_qt5_includedir}/QtScript/QScriptEngine
%{_qt5_includedir}/QtScript/QScriptEngineAgent
%{_qt5_includedir}/QtScript/QScriptExtensionInterface
%{_qt5_includedir}/QtScript/QScriptExtensionPlugin
%{_qt5_includedir}/QtScript/QScriptProgram
%{_qt5_includedir}/QtScript/QScriptString
%{_qt5_includedir}/QtScript/QScriptSyntaxCheckResult
%{_qt5_includedir}/QtScript/QScriptValue
%{_qt5_includedir}/QtScript/QScriptValueIterator
%{_qt5_includedir}/QtScript/QScriptValueList
%{_qt5_includedir}/QtScript/QScriptable
%{_qt5_includedir}/QtScript/QtScript
%{_qt5_includedir}/QtScript/QtScriptVersion
%{_qt5_includedir}/QtScript/QtScriptDepends
%{_qt5_includedir}/QtScript/qscriptable.h
%{_qt5_includedir}/QtScript/qscriptclass.h
%{_qt5_includedir}/QtScript/qscriptclasspropertyiterator.h
%{_qt5_includedir}/QtScript/qscriptcontext.h
%{_qt5_includedir}/QtScript/qscriptcontextinfo.h
%{_qt5_includedir}/QtScript/qscriptengine.h
%{_qt5_includedir}/QtScript/qscriptengineagent.h
%{_qt5_includedir}/QtScript/qscriptextensioninterface.h
%{_qt5_includedir}/QtScript/qscriptextensionplugin.h
%{_qt5_includedir}/QtScript/qscriptprogram.h
%{_qt5_includedir}/QtScript/qscriptstring.h
%{_qt5_includedir}/QtScript/qscriptvalue.h
%{_qt5_includedir}/QtScript/qscriptvalueiterator.h
%{_qt5_includedir}/QtScript/qtscriptglobal.h
%{_qt5_includedir}/QtScript/qtscriptversion.h

%{_qt5_libdir}/cmake/Qt5Script
%{_qt5_datadir}/mkspecs/modules/qt_lib_script.pri

%dir %{_qt5_includedir}/QtScript/%qtversion
%dir %{_qt5_includedir}/QtScript/%qtversion/QtScript
%dir %{_qt5_includedir}/QtScript/%qtversion/QtScript/private
%{_qt5_includedir}/QtScript/%qtversion/QtScript/private/*.h
%{_qt5_datadir}/mkspecs/modules/qt_lib_script_private.pri


%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5
%make
#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std

install -d %{buildroot}/%{_qt5_docdir}

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a
rm -rf %{buildroot}/%_qt5_examplesdir


%changelog
* Sun Jul 10 2016 adrianomorselli <adrianomorselli> 5.6.1-1uplos2016
- rebuild

* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Thu Mar 17 2016 bb <bb> 5.6.0-1pclos2016
- update
